## calendarsupport 25.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.1")

project(calendarsupport VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    *.cpp
    *.h
    *.c
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
set(KMIME_LIB_VERSION "6.5.1")
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        PrintSupport
)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX CALENDARSUPPORT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/calendarsupport_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfigVersion.cmake"
                        SOVERSION 6
)

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6CalendarSupport")

add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6CalendarSupport_QCH
        FILE KPim6CalendarSupportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6CalendarSupportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimCalendarSupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6CalendarSupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6CalendarSupportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6CalendarSupportTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/src/calendarsupport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/
    COMPONENT Devel
)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
calendarsupport (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:38 +0100

=== debian/control ===
Source: calendarsupport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicalendar-dev (>= 4:25.08.1~),
               libkcalendarutils-dev (>= 4:25.08.1~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Rules-Requires-Root: no

Package: libcalendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libcalendarsupport-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-dev (>= 4:25.08.1~),
         libkidentitymanagement-dev (>= 25.08.1~),
         libkmime-dev (>= 25.08.1~),
         libkpim6calendarsupport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM Calendar support - development files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libcalendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## calendarsupport 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -65,11 +65,11 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.1")
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
+set(KMIME_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
+set(AKONADICALENDAR_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.2")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"calendarsupport6\")

########### next target ###############
add_library(KPim6CalendarSupport)
add_library(KPim6::CalendarSupport ALIAS KPim6CalendarSupport)
target_sources(
    KPim6CalendarSupport
    PRIVATE
        archivedialog.cpp
        attachmenthandler.cpp
        calendarsingleton.cpp
        categoryhierarchyreader.cpp
        cellitem.cpp
        collectionselection.cpp
        eventarchiver.cpp
        identitymanager.cpp
        incidenceattachmentmodel.cpp
        kcalprefs.cpp
        messagewidget.cpp
        utils.cpp
        urihandler.cpp
        printing/calprintpluginbase.cpp
        printing/calprintdefaultplugins.cpp
        printing/calprinter.cpp
        printing/journalprint.cpp
        printing/yearprint.cpp
        next/incidenceviewer.cpp
        freebusymodel/freeperiodmodel.cpp
        freebusymodel/freebusyitem.cpp
        freebusymodel/freebusyitemmodel.cpp
        freebusymodel/freebusycalendar.cpp
        next/incidenceviewer.h
        next/incidenceviewer_p.h
        categoryhierarchyreader.h
        calendarsingleton.h
        utils.h
        archivedialog.h
        cellitem.h
        identitymanager.h
        attachmenthandler.h
        eventarchiver.h
        printing/printplugin.h
        printing/calprintpluginbase.h
        printing/journalprint.h
        printing/calprintdefaultplugins.h
        printing/yearprint.h
        printing/calprinter.h
        kcalprefs.h
        urihandler.h
        incidenceattachmentmodel.h
        freebusymodel/freeperiodmodel.h
        freebusymodel/freebusyitemmodel.h
        freebusymodel/freebusycalendar.h
        freebusymodel/freebusyitem.h
        collectionselection.h
        messagewidget.h
)

ki18n_wrap_ui(KPim6CalendarSupport
  printing/calprintdayconfig_base.ui
  printing/calprintincidenceconfig_base.ui
  printing/calprintjournalconfig_base.ui
  printing/calprintmonthconfig_base.ui
  printing/calprinttodoconfig_base.ui
  printing/calprintweekconfig_base.ui
  printing/calprintyearconfig_base.ui
)
ecm_qt_declare_logging_category(KPim6CalendarSupport HEADER calendarsupport_debug.h IDENTIFIER CALENDARSUPPORT_LOG CATEGORY_NAME org.kde.pim.calendarsupport
        OLD_CATEGORY_NAMES log_calendarsupport
        DESCRIPTION "calendarsupport (calendarsupport)" EXPORT CALENDARSUPPORT
)

kconfig_add_kcfg_files(KPim6CalendarSupport kcalprefs_base.kcfgc)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6CalendarSupport
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(
    KPim6CalendarSupport
    BASE_NAME calendarsupport
    VERSION ${PIM_VERSION}
    DEPRECATION_VERSIONS "5.24"
)

target_include_directories(
    KPim6CalendarSupport
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/>"
)
target_include_directories(
    KPim6CalendarSupport
    PUBLIC
        "$<BUILD_INTERFACE:${calendarsupport_SOURCE_DIR}/src;${calendarsupport_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6CalendarSupport
    PUBLIC
        KPim6::Mime
        KPim6::IdentityManagementCore
        KPim6::AkonadiCalendar
        KF6::ConfigGui
        Qt::PrintSupport
    PRIVATE
        KF6::TextCustomEditor
        KF6::I18n
        KF6::Completion
        KF6::KIOWidgets
        KF6::GuiAddons
        KPim6::AkonadiWidgets
        KF6::Holidays
        KF6::Codecs
        KPim6::AkonadiCore
        KF6::CalendarCore
        KPim6::CalendarUtils
)

set_target_properties(
    KPim6CalendarSupport
    PROPERTIES
        VERSION
            ${CALENDARSUPPORT_VERSION}
        SOVERSION
            ${CALENDARSUPPORT_SOVERSION}
        EXPORT_NAME
            CalendarSupport
)

install(TARGETS KPim6CalendarSupport EXPORT KPim6CalendarSupportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(CalendarSupport_CamelCase_HEADERS
  HEADER_NAMES
  Utils
  CellItem
  CollectionSelection
  KCalPrefs
  IdentityManager
  EventArchiver
  CategoryHierarchyReader
  CalendarSingleton
  MessageWidget
  ArchiveDialog
  UriHandler
  REQUIRED_HEADERS CalendarSupport_HEADERS
  PREFIX CalendarSupport
)

ecm_generate_headers(CalendarSupport_CamelCaseprinter_HEADERS
  HEADER_NAMES
  PrintPlugin
  CalPrinter
  CalPrintDefaultPlugins
  CalPrintPluginBase
  REQUIRED_HEADERS CalendarSupport_printer_HEADERS
  PREFIX CalendarSupport
  RELATIVE printing
)

ecm_generate_headers(CalendarSupport_CamelCasenext_HEADERS
  HEADER_NAMES
  IncidenceViewer
  REQUIRED_HEADERS CalendarSupport_next_HEADERS
  PREFIX CalendarSupport
  RELATIVE next
)

ecm_generate_headers(CalendarSupport_CamelCasefreebusy_HEADERS
  HEADER_NAMES
  FreeBusyItem
  FreeBusyItemModel
  FreeBusyCalendar
  FreePeriodModel
  REQUIRED_HEADERS CalendarSupport_freebusy_HEADERS
  PREFIX CalendarSupport
  RELATIVE freebusymodel
)

install(
    FILES
        ${CalendarSupport_CamelCase_HEADERS}
        ${CalendarSupport_CamelCaseprinter_HEADERS}
        ${CalendarSupport_CamelCasenext_HEADERS}
        ${CalendarSupport_CamelCasefreebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/CalendarSupport
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/calendarsupport_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintincidenceconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintdayconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintweekconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprintmonthconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/ui_calprinttodoconfig_base.h
        ${CMAKE_CURRENT_BINARY_DIR}/kcalprefs_base.h
        ${CalendarSupport_HEADERS}
        ${CalendarSupport_printer_HEADERS}
        ${CalendarSupport_next_HEADERS}
        ${CalendarSupport_freebusy_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/CalendarSupport/calendarsupport
    COMPONENT Devel
)
if(BUILD_TESTING)
    add_subdirectory(freebusymodel/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT CALENDARSUPPORT FILE calendarsupport.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6CalendarSupport_QCH
        NAME KPim6CalendarSupport
        BASE_NAME KPim6CalendarSupport
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${CalendarSupport_HEADERS}
        ${CalendarSupport_printer_HEADERS}
        ${CalendarSupport_next_HEADERS}
        ${CalendarSupport_freebusy_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSIEVEUI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
calendarsupport (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:06 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.1~),
-               libakonadicalendar-dev (>= 4:25.08.1~),
-               libkcalendarutils-dev (>= 4:25.08.1~),
+               libakonadi-dev (>= 4:25.08.2~),
+               libakonadicalendar-dev (>= 4:25.08.2~),
+               libkcalendarutils-dev (>= 4:25.08.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
                libkf6holidays-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.1~),
-               libkmime-dev (>= 25.08.1~),
+               libkidentitymanagement-dev (>= 25.08.2~),
+               libkmime-dev (>= 25.08.2~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
@@ -43,9 +43,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:25.08.1~),
-         libkidentitymanagement-dev (>= 25.08.1~),
-         libkmime-dev (>= 25.08.1~),
+Depends: libakonadicalendar-dev (>= 4:25.08.2~),
+         libkidentitymanagement-dev (>= 25.08.2~),
+         libkmime-dev (>= 25.08.2~),
          libkpim6calendarsupport6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/calendarsupport-([\d.]+)\.tar\.xz

## calendarsupport 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -65,11 +65,11 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
+set(KMIME_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(AKONADICALENDAR_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.3")
 set(KTEXTADDONS_MIN_VERSION "1.6.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(

=== src/freebusymodel/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
macro(add_freebusymodel_unittest _name)
    ecm_add_test(${_name}.cpp ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "freebusymodel-"
        LINK_LIBRARIES Qt::Test KPim6::AkonadiCore KPim6::CalendarUtils KF6::CalendarCore KPim6::CalendarSupport
    )
endmacro()

add_freebusymodel_unittest(testfreeperiodmodel)
add_freebusymodel_unittest(testfreebusyitemmodel)

=== debian/changelog ===
calendarsupport (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:28 +0100

=== debian/control ===
Source: calendarsupport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicalendar-dev (>= 4:25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calendarsupport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calendarsupport.git
Rules-Requires-Root: no

Package: libcalendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libcalendarsupport-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-dev (>= 4:25.08.3~),
         libkidentitymanagement-dev (>= 25.08.3~),
         libkmime-dev (>= 25.08.3~),
         libkpim6calendarsupport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: KDE PIM Calendar support - development files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libcalendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## calendarsupport 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.80")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,12 +66,12 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.3")
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(AKONADICALENDAR_LIB_VERSION "6.5.3")
-set(AKONADI_VERSION "6.5.3")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(KMIME_LIB_VERSION "6.5.80")
+set(CALENDARUTILS_LIB_VERSION "6.5.80")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
+set(AKONADICALENDAR_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(
     Qt6
@@ -102,7 +103,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
calendarsupport (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:52:25 +0000

calendarsupport (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:20:09 +0000

=== debian/control ===
Source: calendarsupport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libkcalendarutils-dev (>= 4:25.11.80~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.80~),
               libkmime-dev (>= 25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Rules-Requires-Root: no

Package: libcalendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libcalendarsupport-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-dev (>= 4:25.11.80~),
         libkidentitymanagement-dev (>= 25.11.80~),
         libkmime-dev (>= 25.11.80~),
         libkpim6calendarsupport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM Calendar support - development files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libcalendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## calendarsupport 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -66,11 +66,11 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.80")
-set(CALENDARUTILS_LIB_VERSION "6.5.80")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.80")
-set(AKONADICALENDAR_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
+set(KMIME_LIB_VERSION "6.5.90")
+set(CALENDARUTILS_LIB_VERSION "6.5.90")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
+set(AKONADICALENDAR_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(

=== debian/changelog ===
calendarsupport (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
-               libkcalendarutils-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
+               libkcalendarutils-dev (>= 4:25.11.90~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
                libkf6holidays-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
@@ -43,9 +43,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:25.11.80~),
-         libkidentitymanagement-dev (>= 25.11.80~),
-         libkmime-dev (>= 25.11.80~),
+Depends: libakonadicalendar-dev (>= 4:25.11.90~),
+         libkidentitymanagement-dev (>= 25.11.90~),
+         libkmime-dev (>= 25.11.90~),
          libkpim6calendarsupport6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},

## calendarsupport 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -66,11 +66,11 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.5.90")
-set(CALENDARUTILS_LIB_VERSION "6.5.90")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
+set(KMIME_LIB_VERSION "6.6.0")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(

=== debian/changelog ===
calendarsupport (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:12:31 +0000

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6guiaddons-dev (>= 6.6.0~),
                libkf6holidays-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                xauth,
@@ -43,9 +43,9 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: libakonadicalendar-dev (>= 4:25.11.90~),
-         libkidentitymanagement-dev (>= 25.11.90~),
-         libkmime-dev (>= 25.11.90~),
+Depends: libakonadicalendar-dev (>= 4:25.12.0~),
+         libkidentitymanagement-dev (>= 25.12.0~),
+         libkmime-dev (>= 25.12.0~),
          libkpim6calendarsupport6 (= ${binary:Version}),
          qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},

## calendarsupport 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 
 project(calendarsupport VERSION ${PIM_VERSION})
 
@@ -66,11 +66,11 @@
 )
 
 set(CALENDARSUPPORT_LIB_VERSION ${PIM_VERSION})
-set(KMIME_LIB_VERSION "6.6.0")
-set(CALENDARUTILS_LIB_VERSION "6.6.0")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.0")
-set(AKONADICALENDAR_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.1")
+set(CALENDARUTILS_LIB_VERSION "6.6.1")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
+set(AKONADICALENDAR_LIB_VERSION "6.6.1")
+set(AKONADI_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
 find_package(

=== debian/changelog ===
calendarsupport (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:14 +0100

calendarsupport (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:25 +0100

=== debian/control ===
Source: calendarsupport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libkcalendarutils-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calendarsupport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calendarsupport.git
Rules-Requires-Root: no

Package: libcalendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libcalendarsupport-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-dev (>= 4:25.12.1~),
         libkidentitymanagement-dev (>= 25.12.1~),
         libkmime-dev (>= 25.12.1~),
         libkpim6calendarsupport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Description: KDE PIM Calendar support - development files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libcalendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.

## calendarsupport 25.12.2

=== debian/changelog ===
calendarsupport (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:38:25 +0000

calendarsupport (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:30:48 +0000

calendarsupport (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:37:09 +0000

calendarsupport (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:52 +0000

=== debian/control ===
Source: calendarsupport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libkcalendarutils-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libkmime-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/calendarsupport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/calendarsupport
Rules-Requires-Root: no

Package: libcalendarsupport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: KDE PIM Calendar support - data files
 This library provides calendar support for KDE PIM.
 .
 This package provides data files used by the library.

Package: libcalendarsupport-dev
Section: libdevel
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: libakonadicalendar-dev (>= 4:25.12.2~),
         libkidentitymanagement-dev (>= 25.12.2~),
         libkmime-dev (>= 25.12.2~),
         libkpim6calendarsupport6 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM Calendar support - development files
 This library provides calendar support for KDE PIM.
 .
 This package provides development files.

Package: libkpim6calendarsupport6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 amd64v3 arm64 armhf i386
Multi-Arch: same
Depends: libcalendarsupport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Calendar support - library
 This library provides calendar support for KDE PIM.
 .
 This package provides the shared libraries.
